<div class="flex flex-col h-full" [formGroup]="formGroup">
  @if(labels()){ 
      <div class="lg:flex lg:items-center lg:justify-end lg:space-x-4 lg:p-4">
        <div class="m-4 flex items-center space-x-2 rounded-md border border-gray-300 px-4 py-1.5 lg:m-0 lg:w-[250px]">
          <input type="text" class="flex-1 p-0 text-sm border-none placeholder:text-sm placeholder:text-gray-400 focus:ring-0" placeholder="태그 검색" formControlName="name" />
          <figure>
            <img src="/assets/icons/search.svg" alt="search icon" />
          </figure>
        </div>
        <app-button class="hidden px-4 lg:block" (click)="openRegister()">추가</app-button>
      </div>
      <div class="flex-1 px-4 pb-4 space-y-4 overflow-y-auto ">
        @for (label of labels(); track $index) { 
          <app-label-card [label]="label" (click)="openLabelDetail(label.id)"></app-label-card>
        } 
      </div> 
      <button class="flex items-center justify-center text-sm font-semibold leading-6 text-white h-14 bg-primary lg:hidden" (click)="openRegister()">태그 추가하기</button>
  } 
</div>
